{ config, ... }:

{
  deployment = {
    mem = 1 * 1024;
    vcpu = 4;
  };
  system.stateVersion = "22.11";
  networking.hostName = "rc3ticker";
  c3d2.hq.statistics.enable = true;

  services = {
    nginx = {
      enable = true;
      virtualHosts."rc3.c3d2.de" = {
        forceSSL = true;
        enableACME = true;
        serverAliases = [
          "dezentrale-jahresendveranstaltungen.fyi" "www.dezentrale-jahresendveranstaltungen.fyi"
        ];
        locations."/".proxyPass = "http://localhost:8400";
      };
    };

    ticker = {
      updateInterval = "hourly";
      config.calendars = {
        # https://lab.nrw/hedgedoc/_hV5kXt9TKuiV0DVsdIwgg
        chilyconchaos = {
          url = "https://ramac.mudbyte.de/remote.php/dav/public-calendars/YTtwyZcXsmZDfSoo/?export";
          color = "rgb(255,47,0)";
        };
        xrelog = {
          url = "https://pretalx.c3voc.de/xrelog-2022/schedule/export/schedule.ics";
          color = "#0F0F0F";
        };
        freiraeumen = {
          url = "https://forum.freiraeumen.jetzt/freiraumforum/schedule/export/schedule.ics";
          color = "#E41F13";
        };
        rtc = {
          url = "https://cfp.ccc-p.org/rtc22/schedule/export/schedule.ics";
          color = "rgb(86,100,121)";
        };
        hacking-in-hell = {
          url = "https://pretalx.c3voc.de/hacking-in-hell-2022/schedule/export/schedule.ics";
          color = "#CF3F3F";
        };
        fireshonks = {
          url = "https://pretalx.c3voc.de/fire-shonks-2022/schedule/export/schedule.ics";
          color = "rgb(29,45,73)";
        };
        hip = {
          url = "https://pretalx.c3voc.de/hip-berlin-2022/schedule/export/schedule.ics";
          color = "#3C3C3C";
        };
        dezentrale = {
          url = "https://dezentrale.space/2022/12/localverse2022-fahrplan.ics";
          color = "#02107a";
        };
      };
    };
  };
}
